%define	name ewl
%define version 0.5.1.008
%define release %mkrel 8

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: 	Enlightenment widget library
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Libraries
URL: 		http://get-e.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	evas-devel >= 0.9.9.038, ecore-devel >= 0.9.9.038, edb-devel >= 1.0.5
BuildRequires:  edje-devel >= 0.5.0.038, embryo-devel >= 0.9.1.038
Buildrequires:	efreet-devel >= 0.0.3.002
BuildRequires:  emotion-devel >= 0.0.1.005
Buildrequires:  epsilon-devel >= 0.3.0.008
Buildrequires:  edje >= 0.5.0.038, embryo >= 0.9.1.038
Buildrequires:  imlib2-devel
BuildRequires:	multiarch-utils
Buildrequires:  libx11-devel

%description
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Conflicts: libewl0-devel

%description -n %libnamedev
%{name} development headers and libraries

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp -v $RPM_BUILD_DIR/%name-%version/%name-config %buildroot/%_bindir/
%multiarch_binaries %buildroot/%_bindir/%name-config

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%_sysconfdir/%name/%name.cfg
%dir %{_datadir}/%name

%{_datadir}/%name/themes
%{_datadir}/%name/images
%{_libdir}/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/%name
%{_bindir}/%name-config
%multiarch %multiarch_bindir/%name-config
%{_datadir}/aclocal/*.m4
%{_datadir}/%name/examples



%changelog
* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-8mdv2008.0
+ Revision: 76720
- fix missing file ewl-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.5.1.008

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 0.5.1.008-7mdv2008.0
+ Revision: 74623
- add explicit conflict from libewl1-devel on libewl0-devel

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.5.1.008-6mdv2008.0
+ Revision: 36153
- rebuild with correct optflags

  + Antoine Ginies <aginies@mandriva.com>
    - run autogen.sh before the %%configure macro
    - CVS SNAPSHOT 20070605, release 0.5.1.008

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-4mdv2008.0
+ Revision: 35238
- add libx11-devel buildrequires
- fix typo
- fix Major, prevent major bug to happen again
- adjust buildrequires (embryo and edje)
- add some provides, fix buildrequires
- CVS SNAPSHOT 20070529, release 0.5.1.008

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.5.1.008-1mdv2008.0
+ Revision: 30675
- add imlib2-devel buildrequires
- new version
- fix an error in spec file (Version: was updated instead of the macro version)
- CVS snapshot 20070524, release 0.5.1.008

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.0.4.008-1mdv2008.0
+ Revision: 29461
- add embryo buildrequires
- add edje buildrequires
- remove unwanted changelog
- add emotion-devel and epsilon-devel buildrequires
- add efreet-devel buildrequires
- adjust buildrequires: ecore, edje)
- update buildrequires
- cvs snapshot 20070516, release 0.0.4.008

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.4.007-1mdv2008.0
+ Revision: 17858
- 0.0.4.007
 - Don't buildrequire emotion-devel
- Import ewl



* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.0.4.006-0.20060323.1mdk
- new cvs checkout
- buildrequires embryo

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.0.4.005-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.0.4.005-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20051124.1mdk
- new cvs checkout

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.0.4.004-0.20051109.2mdk
- rebuild against openssl-0.9.8

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20051109.1mdk
- new cvs checkout

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.4.004-0.20050904.2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.0.4.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050524.1mdk
- new cvs checkout
- multiarch binaries

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.0.4.003-0.20050511.1mdk
- initial package
